# Scheduling

Assumes you have successfully Spotify authorized the profile or config you are scheduling.

### Linux

Edit cron

> crontab -e

Run auto mode everyday at 2pm

> 0 14 \* \* \* /usr/bin/python3 -m spotify\_sync run auto --profile MyFirstProfile 2>&1

### Windows (PowerShell)

Get spotify\_sync.exe path

> (Get-Command spotify\_sync).Path

Run auto mode everyday at 2pm

```powershell
$action = New-ScheduledTaskAction -Execute 'PATH_FROM_ABOVE' -Argument 'run auto --profile myFirstProfile'

$trigger =  New-ScheduledTaskTrigger -Daily -At 2pm

Register-ScheduledTask -Action $action -Trigger $trigger -TaskName "spotify_sync" -Description "Download Spotify songs for myFirstPreofile profile" -
```

### MacOS


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spotify-sync.jbh.cloud/general/scheduling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
